Skip to main content
PUT
/
objs
/
{object_id}
/
versions
/
{digest}
/
tags
Obj Add Tags
curl --request PUT \
  --url https://api.example.com/objs/{object_id}/versions/{digest}/tags \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.example.com/objs/{object_id}/versions/{digest}/tags"

payload = {
"project_id": "<string>",
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '<string>', tags: ['<string>']})
};

fetch('https://api.example.com/objs/{object_id}/versions/{digest}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

object_id
string
required
digest
string
required

Body

application/json

Request body for adding/removing tags (object_id and digest come from path).

project_id
string
required
Example:

"entity/project"

tags
string[]
required
Example:
["production", "reviewed"]

Response

Successful Response

The response is of type ObjAddTagsRes · object.